Package org.eclipse.rdf4j.federated.structures

## Class UnboundStatement

- java.lang.Object
- - org.eclipse.rdf4j.federated.structures.UnboundStatement

- All Implemented Interfaces:
    `Serializable`, `Statement`

      public class UnboundStatement
      extends Object
      implements Statement

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected Value` | `obj` |
    `protected IRI` | `pred` |
    `protected Resource` | `subj` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `UnboundStatement​(Resource subj, IRI pred, Value obj)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Resource` | `getContext()` | Gets the context of this statement.
    `Value` | `getObject()` | Gets the object of this statement.
    `IRI` | `getPredicate()` | Gets the predicate of this statement.
    `Resource` | `getSubject()` | Gets the subject of this statement.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.model.Statement

      `equals, hashCode`

- - ### Field Detail

    - #### subj

          protected final Resource subj

    - #### pred

          protected final IRI pred

    - #### obj

          protected final Value obj

  - ### Constructor Detail

    - #### UnboundStatement

          public UnboundStatement​(Resource subj,
                                  IRI pred,
                                  Value obj)

  - ### Method Detail

    - #### getContext

          public Resource getContext()

      Description copied from interface: `Statement`
      Gets the context of this statement.
      Specified by:
        `getContext` in interface `Statement`
      Returns:
        The statement's context, or null in case of the null context or if not applicable.

    - #### getObject

          public Value getObject()

      Description copied from interface: `Statement`
      Gets the object of this statement.
      Specified by:
        `getObject` in interface `Statement`
      Returns:
        The statement's object.

    - #### getPredicate

          public IRI getPredicate()

      Description copied from interface: `Statement`
      Gets the predicate of this statement.
      Specified by:
        `getPredicate` in interface `Statement`
      Returns:
        The statement's predicate.

    - #### getSubject

          public Resource getSubject()

      Description copied from interface: `Statement`
      Gets the subject of this statement.
      Specified by:
        `getSubject` in interface `Statement`
      Returns:
        The statement's subject.